Browse Source

dmsquash: use info() and die() rather than echo

master
Harald Hoyer 16 years ago
parent
commit
ec01ab23fb
  1. 6
      modules.d/90dmsquash-live/dmsquash-live-root
  2. 3
      modules.d/90dmsquash-live/parse-dmsquash-live.sh

6
modules.d/90dmsquash-live/dmsquash-live-root

@ -31,7 +31,7 @@ getarg check || check=""
if [ -n "$check" ]; then if [ -n "$check" ]; then
checkisomd5 --verbose $livedev || : checkisomd5 --verbose $livedev || :
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "CD check failed!" die "CD check failed!"
exit 1 exit 1
fi fi
fi fi
@ -43,7 +43,7 @@ getarg rw && liverw=rw
mount -n -t $fstype -o $liverw $livedev $NEWROOT mount -n -t $fstype -o $liverw $livedev $NEWROOT
RES=$? RES=$?
if [ "$RES" != "0" ]; then if [ "$RES" != "0" ]; then
echo "Failed to mount block device of live image" die "Failed to mount block device of live image"
exit 1 exit 1
fi fi


@ -86,7 +86,7 @@ do_live_overlay() {


if [ -z "$setup" ]; then if [ -z "$setup" ]; then
if [ -n "$devspec" -a -n "$pathspec" ]; then if [ -n "$devspec" -a -n "$pathspec" ]; then
echo "Unable to find persistent overlay; using temporary" warn "Unable to find persistent overlay; using temporary"
sleep 5 sleep 5
fi fi



3
modules.d/90dmsquash-live/parse-dmsquash-live.sh

@ -33,8 +33,7 @@ case "$liveroot" in
root="live:${root}" root="live:${root}"
rootok=1 ;; rootok=1 ;;
esac esac
echo "root was $root, liveroot is now $liveroot" info "root was $root, liveroot is now $liveroot"



# make sure that init doesn't complain # make sure that init doesn't complain
[ -z "$root" ] && root="live" [ -z "$root" ] && root="live"

Loading…
Cancel
Save